package invite_m

import "git.hilo.cn/hilo-common/domain"

type InviteApply struct {
	Id           uint64 `json:"id"`
	UserId       uint64 `json:"user_id"`
	NewUserId    uint64 `json:"new_user_id"`
	Platform     string `json:"platform"`
	RechargeInfo string `json:"recharge_info"`
	Status       uint8  `json:"status"` // 状态0.未审核1.已通过2.已拒绝
	VideoUrl     string `json:"video_url"`
}

func CreateInviteApply(model *domain.Model, userId, newUserId uint64, platform, recharge, videoUrl string) error {
	err := model.DB().Create(InviteApply{UserId: userId, NewUserId: newUserId, Platform: platform, RechargeInfo: recharge, VideoUrl: videoUrl}).Error
	if err != nil {
		model.Log.Errorf("CreateInviteApply err:%v", err)
		return err
	}
	return nil
}
